> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a PayIn (Apple Pay)

### Path parameters

<ParamField path="PayInId" type="string" required>
  The unique identifier of the pay-in.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters">
    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      **Default value:** The unique identifier of the owner of the credited wallet.

      The unique identifier of the user whose wallet is credited.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the debited funds. The values must match those requested from Apple Pay, because they are encrypted in the `PaymentData`.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the credited funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="object">
      Information about the fees. The values must match those requested from Apple Pay, because they are encrypted in the `PaymentData`.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.
    </ResponseField>

    <ResponseField name="DebitedWalletId" type="string">
      The unique identifier of the debited wallet.

      In the case of a pay-in, this value is always `null` since there is no debited wallet.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `APPLEPAY`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <ResponseField name="SecureMode" type="string">
      The mode applied for the 3DS2 protocol. On Apple Pay, this value is returned `null` as 3DS redirection is not applicable.
    </ResponseField>

    <ResponseField name="CardId" type="string">
      For PayPal recurring registrations, this value is returned `null`.
    </ResponseField>

    <ResponseField name="SecureModeReturnURL" type="string">
      Max. length: 255 characters

      The URL to which users are automatically returned after 3DS2 if it is triggered. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="SecureModeRedirectURL" type="string">
      Max. length: 255 characters

      The URL to which to redirect the user to proceed to 3DS2 validation. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="SecureModeNeeded" type="boolean">
      Whether or not the `SecureMode` was used.
    </ResponseField>

    <ResponseField name="Culture" type="string">
      The language in which the payment page is to be displayed. On Apple Pay, `null` is returned.
    </ResponseField>

    <ResponseField name="SecurityInfo" type="object">
      Information regarding security and anti-fraud tools.

      <Expandable title="properties">
        <ResponseField name="AVSResult" type="string">
          The result of the Address Verification System check (only available for UK, US, and Canada).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="StatementDescriptor" type="string">
      Max. length: 10 characters; only alphanumeric and spaces

      Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
    </ResponseField>

    <ResponseField name="BrowserInfo" type="object">
      Information about the browser used by the end user (author) to perform the payment. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="IpAddress" type="string">
      The IP address of the end user initiating the transaction, in IPV4 or IPV6 format. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="Billing" type="object">
      Information about the end user billing address. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="Shipping" type="object">
      Information about the end user’s shipping address. On Apple Pay, `null` is returned as 3DS redirection does not apply.
    </ResponseField>

    <ResponseField name="Requested3DSVersion" type="string">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version to be applied to the transaction.
    </ResponseField>

    <ResponseField name="Applied3DSVersion" type="string | null">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version applied to the transaction.
    </ResponseField>

    <ResponseField name="RecurringPayinRegistrationId" type="string">
      The unique identifier of the recurring pay-in registration.
    </ResponseField>

    <ResponseField name="PreferredCardNetwork" type="string">
      **Returned values:** `VISA`, `MASTERCARD`, `CB`, `MAESTRO`

      The card network to use, as chosen by the cardholder, in case of <a href="/guides/payment-methods/card/co-branded">co-branded cards</a>.
    </ResponseField>

    <ResponseField name="PaymentCategory" type="string">
      **Default value:** `ECommerce`

      **Allowed values:** `ECommerce`, `TelephoneOrder`

      The channel through which the user provided their card details, used to indicate mail-order and telephone-order (MOTO) payments:

      * `ECommerce` – Payment received online.
      * `TelephoneOrder` – Payment received via mail order or telephone order (MOTO).
    </ResponseField>

    <ResponseField name="CardInfo" type="string">
      Information about the card used for the transaction.

      If the information or data is not available, `null` is returned.

      <Expandable title="properties">
        <ResponseField name="BIN" type="string">
          The 6-digit bank identification number (BIN) of the card issuer.
        </ResponseField>

        <ResponseField name="IssuingBank" type="string">
          The name of the card issuer.
        </ResponseField>

        <ResponseField name="IssuerCountryCode" type="string">
          Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

          The country where the card was issued.
        </ResponseField>

        <ResponseField name="Type" type="string">
          **Returned values:** `DEBIT`, `CREDIT`, `CHARGE CARD`.

          The type of card product.
        </ResponseField>

        <ResponseField name="Brand" type="string">
          The card brand. Examples include: `AMERICAN EXPRESS`, `DISCOVER`, `JCB`, `MASTERCARD`, `VISA`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>

        <ResponseField name="SubType" type="string">
          The subtype of the card product. Examples include: `CLASSIC`, `GOLD`, `PLATINUM`, `PREPAID`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="AuthenticationResult" type="object | null" defaultOpen>
      Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).

      <Expandable title="properties">
        <ResponseField name="AuthenticationType" type="string | null">
          Response values: `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION`

          The type of authentication:

          * `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS).
          * `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer.
          * `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply).

          A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 - Success   theme={null}
  {
      "Id": "payin_m_01J83BDHEBH7Z0ZSR7WZXEZ6RB",
      "Tag": "Created using the Mangopay API Postman collection",
      "CreationDate": 1726689494,
      "AuthorId": "user_m_01J84RCFJ0Q9RVQZ13618FSNWN",
      "CreditedUserId": "user_m_01J84RCFJ0Q9RVQZ13618FSNWN",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 1600
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 1600
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1726689503,
      "Type": "PAYIN",
      "Nature": "REGULAR",
      "CreditedWalletId": "wlt_m_01J84RDF46N1EQJ9ZA1560B1ZK",
      "DebitedWalletId": null,
      "PaymentType": "APPLEPAY",
      "ExecutionType": "DIRECT",
      "SecureMode": null,
      "CardId": null,
      "SecureModeReturnURL": null,
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": false,
      "Culture": null,
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "StatementDescriptor": "Custom data",
      "BrowserInfo": null,
      "IpAddress": null,
      "Billing": null,
      "Shipping": null,
      "Requested3DSVersion": null,
      "Applied3DSVersion": null,
      "RecurringPayinRegistrationId": null,
      "PreferredCardNetwork": null,
      "PaymentCategory": null,
      "CardInfo": {
          "BIN": "516398",
          "IssuingBank": "BANCO SANTANDER S.A.",
          "IssuerCountryCode": "ES",
          "Type": "DEBIT",
          "Brand": "MASTERCARD",
          "SubType": "PLATINUM"
      },
      "AuthenticationResult": {
          "AuthenticationType": "FRICTIONLESS"
      }
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```php PHP  theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $PayInId = "payin_m_01J87NTMTED8HW42J9ZSQX6RST";

      $response = $api->PayIns->Get($PayInId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }
  ```

  ```javascript NodeJS  theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk');
  const mangopay = new mangopayInstance({
      clientId: "your-client-id",
      clientApiKey: "your-api-key"
  })

  let myPayIn = {
      Id: "payin_m_01J87NTMTED8HW42J9ZSQX6RST"
  }

    
  const viewPayIn = async (payinId) => {
  return await mangopay.PayIns.get(payinId)
      .then((response) => {
      console.info(response)
      return response
      })
      .catch((err) => {
      console.log(err)
      return false
      })
  }
    
  viewPayIn(myPayIn.Id)
  ```

  ```ruby Ruby  theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewPayIn(payinId)
    begin
        response = MangoPay::PayIn.fetch(payinId)
        puts response
        return response
    rescue MangoPay::ResponseError => error
        puts "Failed to fetch PayIn: #{error.message}"
        puts "Error details: #{error.details}"
        return false
    end
  end

  myPayIn = {
      Id: "payin_m_01J87DAKCB24ZT8TW122A7M5QP"
  }

  viewPayIn(myPayIn[:ApplePayId])
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.PayIn;

  public class ViewPayIn {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");


      PayIn payin = mangopay.getPayInApi().get("payin_m_01J87NTMTED8HW42J9ZSQX6RST");

      Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
      String prettyJson = prettyPrint.toJson(payin);

      System.out.println(prettyJson);
      }

  }
  ```

  ```python Python  theme={null}
  from pprint import pprint

  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import PayIn

  payin_id = 'payin_m_01J87DAKCB24ZT8TW122A7M5QP'

  try:
      view_applepay_payin = PayIn.get(payin_id)
      pprint(vars(view_applepay_payin))
  except PayIn.DoesNotExist:
      print('The ApplePay PayIn {} does not exist.'.format(payin_id))
  ```
</RequestExample>
